# Restore a metastore

Launch stage: Public Preview

`POST /api/2.1/unity-catalog/metastores:undropById`

Restores a soft-deleted metastore identified by its ID. The caller must be an account admin.
 A metastore may be eligible for restoration for up to five days after deletion. Restoration
 may become unavailable earlier once permanent deletion begins. Returns the restored metastore.

API scopes: unity-catalog

## Request body

- `id` (string, required)
  Required. Id of the metastore to undrop.

## Returns

Returns the MetastoreInfo object.

## Response

```json
{
  "name": "string",
  "storage_root": "string",
  "default_data_access_config_id": "string",
  "storage_root_credential_id": "string",
  "delta_sharing_scope": "INTERNAL",
  "delta_sharing_recipient_token_lifetime_in_seconds": 0,
  "delta_sharing_organization_name": "string",
  "owner": "string",
  "privilege_model_version": "string",
  "region": "string",
  "metastore_id": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "storage_root_credential_name": "string",
  "cloud": "string",
  "global_metastore_id": "string",
  "external_access_enabled": true
}
```

